> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailchannels.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Suppression Entry

> Deletes suppression entry associated with the account based on the specified recipient and source.
If source is not provided, it defaults to 'api'.
If source is set to 'all', all suppression entries related to the specified
recipient will be deleted.




## OpenAPI

````yaml /email-api/api-reference/openapi.yaml delete /suppression-list/recipients/{recipient}
openapi: 3.0.0
info:
  contact:
    email: support@mailchannels.com
    name: MailChannels Corporation
  description: >
    This is the API reference for Email API. Here, you'll find more detailed
    information on every endpoint, including parameters, response formats, and
    error codes.
  title: Email API
  version: 1.4.0
servers:
  - url: https://api.mailchannels.net/tx/v1
security: []
tags:
  - name: Send
  - name: DKIM
  - name: Metrics
  - name: Sub-accounts
  - name: Suppression
  - name: Webhooks
  - name: Usage
  - name: Custom Tracking
paths:
  /suppression-list/recipients/{recipient}:
    delete:
      tags:
        - Suppression
      summary: Delete Suppression Entry
      description: >
        Deletes suppression entry associated with the account based on the
        specified recipient and source.

        If source is not provided, it defaults to 'api'.

        If source is set to 'all', all suppression entries related to the
        specified

        recipient will be deleted.
      parameters:
        - in: path
          name: recipient
          required: true
          schema:
            type: string
        - in: query
          name: source
          required: false
          schema:
            default: api
            enum:
              - api
              - unsubscribe_link
              - list_unsubscribe
              - hard_bounce
              - spam_complaint
              - all
            type: string
        - in: header
          name: X-Api-Key
          required: true
          schema:
            type: string
      responses:
        '204':
          description: The specified suppression entry was successfully deleted.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad request. The request is invalid.
        '500':
          description: An unexpected internal error occurred.
        '503':
          description: Temporarily unavailable for maintenance.
      x-codeSamples:
        - label: Node.js
          lang: javascript
          source: >-
            import { MailChannels } from "mailchannels-sdk";


            const { MAILCHANNELS_API_KEY, RECIPIENT } = process.env;

            if (!MAILCHANNELS_API_KEY) throw new Error("Set MAILCHANNELS_API_KEY
            before running");

            if (!RECIPIENT) throw new Error("Set RECIPIENT to the email address
            whose suppression entry should be removed");


            const mailchannels = new MailChannels(MAILCHANNELS_API_KEY);


            const { success, error } = await
            mailchannels.suppressions.delete(RECIPIENT);


            if (!success) {
              console.error("Delete suppression failed:", error);
              process.exit(1);
            }

            console.log("Suppression deleted");
        - label: Python
          lang: python
          source: >-
            import os

            import sys


            import mailchannels


            if not os.environ.get("MAILCHANNELS_API_KEY"):
                sys.exit("Set MAILCHANNELS_API_KEY (parent or sub-account) before running")

            recipient = os.environ.get("RECIPIENT")

            if not recipient:
                sys.exit("Set RECIPIENT to the email address whose suppression entry should be removed")

            # SOURCE is optional. Defaults to "api". Pass "all" to delete every
            entry for the recipient.

            source = os.environ.get("SOURCE")


            response = mailchannels.Suppressions.delete(recipient,
            source=source)


            print(response)
        - label: PHP
          lang: php
          source: >-
            <?php


            require_once __DIR__ . '/vendor/autoload.php';


            use MailChannels\Client;


            $api_key   = getenv('MAILCHANNELS_API_KEY') or exit("Error:
            MAILCHANNELS_API_KEY is not set\n");

            $recipient = getenv('RECIPIENT') or exit("Error: RECIPIENT is not
            set\n");


            $client = new Client(apiKey: $api_key);


            // SOURCE is optional. Defaults to "api". Pass "all" to delete every
            entry for the recipient.

            $source = getenv('SOURCE') ?: null;


            $response = $client->suppressions->delete($recipient, $source);


            print_r($response->toArray());
components:
  schemas:
    ErrorResponse:
      properties:
        errors:
          description: >
            This is an array error objects that provide machine and human
            readable descriptions of the errors.
          items:
            type: string
          type: array
      type: object

````